uuid: add4ae12-6fd2-47fe-8be0-0f4599f491ef
langcode: en
status: true
dependencies:
  enforced:
    module:
      - migrate_plus
      - migrate_tools
      - profile
_core:
  default_config_hash: Gs2PxO-2VEZGZYcaulvoljvA7t3m9Z_oSh9R8giUO3U
id: d7_user_profile_customer
class: null
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - 'Drupal 7'
  - Content
  - Materio
migration_group: d7_materio
label: 'D7 User Customer Profile'
source:
  plugin: d7_user_profile_customer
  batch_size: 1000
process:
  type:
    plugin: default_value
    default_value: customer
  uid:
    plugin: migration_lookup
    migration: d7_users
    source: uid
  phone: billing_phone
  address/country_code: billing_country
  address/administrative_area: billing_zone
  address/locality: billing_city
  address/postal_code: billing_postal_code
  address/address_line1: billing_street1
  address/address_line2: billing_street2
  address/organization: billing_company
  address/given_name: billing_first_name
  address/family_name: billing_last_name
  tax_number:
    plugin: iterator
    source: field_vat_number_intra_ce
    process:
      value: value
      type:
        plugin: default_value
        default_value: EU
destination:
  plugin: 'entity:profile'
migration_dependencies:
  required:
    - d7_users
